## runawk 1.5.1

=== test/Makefile ===
DIFF_PROG ?=	diff -u

TESTTEMPDIR = ${.CURDIR}/..
.export TESTTEMPDIR

all:
	@echo 'running tests...'; \
	export SRCDIR=${.CURDIR}/..; \
	if { ${.CURDIR}/test.sh > ${.OBJDIR}/_test.res; \
	    ${DIFF_PROG} ${.CURDIR}/test.out ${.OBJDIR}/_test.res; };\
	then echo '   succeeded'; \
	else echo '   failed'; false; \
	fi

# test using all available awk version except mawk which
# is definitely buggy, oawk is also NOT supported

AWK_PROGS=/usr/bin/awk /usr/bin/nawk /usr/bin/gawk /usr/bin/original-awk \
   /usr/pkg/bin/nawk /usr/pkg/bin/gawk /usr/pkg/bin/nbawk #\
#   /usr/pkg/heirloom/bin/posix/awk /usr/pkg/heirloom/bin/posix2001/awk
#   /usr/pkg/heirloom/bin/nawk
#   /usr/bin/mawk /usr/pkg/bin/mawk /usr/pkg/bin/mawk-uxre

.PHONY: test_all
test_all:
.for awk in ${AWK_PROGS}
	@if test -x ${awk}; then \
		echo testing ${awk}; \
		export RUNAWK_AWKPROG=${awk}; cd ${.CURDIR} && ${MAKE} all; \
		echo ''; \
	fi
.endfor

CLEANFILES += ${TESTTEMPDIR}/temp1.awk ${TESTTEMPDIR}/temp2.awk ${TESTTEMPDIR}/temp3.awk
DISTCLEANFILES += _test.res

.include <mkc.files.mk>

=== debian/changelog ===
runawk (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add homepage URL.
  * Add watch file.
  * Bump Standards-Version (no changes).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 28 Jun 2014 18:39:38 +0200

runawk (1.5.0-1) unstable; urgency=low

  * Initial release (Closes: #575717).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 28 Jan 2014 08:42:17 +0100

## runawk 1.6.0

=== a_getopt/Makefile ===
SCRIPTS +=			alt_getopt

MAN +=				alt_getopt.1

FILES +=			alt_getopt.sh

CLEANFILES =			alt_getopt.1

.PHONY: _manpages
_manpages: ${MAN}

.include <mkc.files.mk>

=== modules/Makefile ===
MODULES !=			cd ${.CURDIR}; echo *.awk gawk/*.awk

FILES =				${MODULES}
FILESDIR =			${MODULESDIR}
FILESNAME_gawk/ord.awk =	gawk/ord.awk

MAN =				runawk_modules.3

.PHONY: _manpages
_manpages: ${MAN}

.PATH:				${.OBJDIR}

CLEANFILES += runawk_modules.3 runawk_modules.pod

runawk_modules.pod: ${MODULES} pod_header.txt pod_footer.txt
	{ set -e; cd ${.CURDIR}; \
	cat pod_header.txt; \
	awk '/^# =head/, NF==0 {if (/^#/) print substr($$0, 3)}' \
		${MODULES}; \
	cat pod_footer.txt; } > ${.TARGET}

.include <mkc.files.mk>

=== test/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # test using all available awk version except mawk which
 # is definitely buggy, oawk is also NOT supported
 
-AWK_PROGS=/usr/bin/awk /usr/bin/nawk /usr/bin/gawk /usr/bin/original-awk \
+AWK_PROGS ?= /usr/bin/awk /usr/bin/nawk /usr/bin/gawk \
    /usr/pkg/bin/nawk /usr/pkg/bin/gawk /usr/pkg/bin/nbawk #\
 #   /usr/pkg/heirloom/bin/posix/awk /usr/pkg/heirloom/bin/posix2001/awk
 #   /usr/pkg/heirloom/bin/nawk

=== debian/changelog ===
runawk (1.6.0-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Sort files locale-independently to get reproducible build
    (Closes: #816206).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 29 Feb 2016 18:09:20 +0100

runawk (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 25 Jul 2015 17:02:11 +0200

=== debian/control ===
Source: runawk
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), mk-configure (>= 0.26), gawk, libbsd-dev
Standards-Version: 3.9.5
Homepage: http://github.com/cheusov/runawk

Package: runawk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gawk | mawk (>= 1.3.4)
Description: wrapper for AWK interpreter implementing modules
 RunAWK is a small wrapper for AWK interpreter that implements module system
 (similar to Perl's "use" command) and helps in writing standalone AWK
 programs.
 .
 This package also provides about a dozen of modules implementing most
 common string, array and system function.

=== debian/watch ===
version=3

https://github.com/cheusov/runawk/releases /cheusov/runawk/archive/runawk-(.*)\.tar\.gz

## runawk 1.6.1

=== Makefile ===
##################################################

SUBPRJ       =	runawk:test modules examples a_getopt doc
SUBPRJ_DFLT ?=	runawk modules

WITH_ALT_GETOPT ?=	yes

.if ${WITH_ALT_GETOPT:tl} == "yes"
SUBPRJ_DFLT +=		a_getopt
.endif

MKC_REQD =		0.26.0

##################################################

# "cleandir" also removes temporary files of regression tests
cleandir: cleandir-test

# Avoid running test-runawk, test-modules etc.
test: all-test
	@:

# Also implement test_all
test_all: test_all-test

# We use "target "manpages" for making a distribution tarball
TARGETS += _manpages # _manpages is a new recursive target
DIST_TARGETS =	manpages
manpages: _manpages
	rm ${MKC_CACHEDIR}/_mkc*

.include "Makefile.inc"
.include <mkc.subprj.mk>

=== doc/Makefile ===
FILES =		LICENSE NEWS ../README TODO
FILESDIR =	${DOCDIR}

.include <mkc.files.mk>

=== examples/Makefile ===
EXAMPLES !=	cd ${.CURDIR}; echo demo_*

FILES =		${EXAMPLES:N*~:M*.in}
SCRIPTS =	${EXAMPLES:N*~:N*.in}

FILESDIR =	${EGDIR}
SCRIPTSDIR =	${EGDIR}

.include <mkc.files.mk>

=== modules/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES !=			cd ${.CURDIR}; echo *.awk gawk/*.awk
+MODULES !=			cd ${.CURDIR}; LC_ALL=C ls *.awk gawk/*.awk
 
 FILES =				${MODULES}
 FILESDIR =			${MODULESDIR}

=== runawk/Makefile ===
##################################################

# default directory for creating temp files and dirs
TEMPDIR =		/tmp

.if !defined(AWK_PROG)
.if exists(/usr/xpg4/bin/awk)
# Solaris' /usr/bin/awk sucks so much... :-(
# /usr/xpg4/bin/awk sucks too but sucks less.
# I'd recommend you use GNU awk, nawk from NetBSD cvs tree
# or mawk-1.3.4 or later.
AWK_PROG           =	/usr/xpg4/bin/awk
.else
MKC_REQUIRE_PROGS +=	awk
AWK_PROG           =	${PROG.awk}
.endif
.endif # !defined(AWK_PROG)

STDIN_FILENAME?=	- #/dev/stdin

##################################################

WARNS   ?=	4
WARNERR ?=	no

PROG =		runawk
SRCS =		runawk.c dynarray.c file_hier.c

MAN =		runawk.1

MKC_FEATURES =	strlcpy strlcat

CFLAGS +=	-DAWK_PROG='"${AWK_PROG}"'
CFLAGS +=	-DSTDIN_FILENAME='"${STDIN_FILENAME}"'
CFLAGS +=	-DMODULESDIR='"${MODULESDIR}:${MODULESDIR}/gawk"'
CFLAGS +=	-DRUNAWK_VERSION='"${VERSION}"'
CFLAGS +=	-DTEMPDIR='"${TEMPDIR}"'

CLEANFILES +=	*~ core* *.core ktrace* *.tmp tests/_* *.html1 *.cat1 *.1
CLEANFILES +=	ChangeLog runawk.html _test.res

.PHONY: _manpages
_manpages: ${MAN}

##################################################

.include <mkc.prog.mk>

=== debian/changelog ===
runawk (1.6.1-2) unstable; urgency=medium

  * Add Vcs-Git.
  * Convert the copyrights ot machine-readable format.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Bump Standards-Version to 4.6.2.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 19 Jul 2025 10:47:23 +0200

runawk (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop a patch applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 02 Jan 2023 17:50:40 +0100

runawk (1.6.0-3) unstable; urgency=medium

  * Update debian/watch.
  * Fix Maintainer field.
  * Wrap and sort.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13 (Closes: #1025986).
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository, Repository-Browse.
  * Set Rules-Requires-Root: no.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Jan 2023 16:24:59 +0100

=== debian/control ===
Source: runawk
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gawk,
 libbsd-dev,
 mk-configure (>= 0.26),
Standards-Version: 4.6.2
Homepage: https://github.com/cheusov/runawk
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/runawk.git
Vcs-Browser: https://salsa.debian.org/debian/runawk

Package: runawk
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gawk | mawk (>= 1.3.4),
Description: wrapper for AWK interpreter implementing modules
 RunAWK is a small wrapper for AWK interpreter that implements module system
 (similar to Perl's "use" command) and helps in writing standalone AWK
 programs.
 .
 This package also provides about a dozen of modules implementing most
 common string, array and system function.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -lbsd

%:
	dh $@ --buildsystem=mkcmake

=== debian/watch ===
version=3

https://github.com/cheusov/runawk/tags /cheusov/runawk/archive/refs/tags/runawk-(.*)\.tar\.gz
